<?php

# заголовок, получение параметров
define('TITLE', 'Восстановление'); $params = PARAMS;

# активация аккаунта
if (isset($params['param']) && isset($params['token'])) { 

# фильтрация параметров, установка данных
$id = $FUNC->filter($params['param'], 'int'); // ид
$token = $FUNC->filter($params['token'], 'var'); // токен

# процедура смены пароля, проверка аккаунта
if (db_exist($DB, 'tokens', 'id', array('time;>' => time(), 'token' => $token, 'type' => 'recov', 
'user' => $id)) && db_exist($DB, 'users', 'id', array('id' => $id))) { $restore = true; } }

?>